# Adafruit HTU21D-F Humidity/Temp Sensor for Arduino [![Build Status](https://travis-ci.org/adafruit/Adafruit_HTU21DF_Library.svg?branch=master)](https://travis-ci.org/adafruit/Adafruit_HTU21DF_Library)

![sensors_1899-00](https://user-images.githubusercontent.com/181073/46350691-b53d1880-c655-11e8-8415-452aec129b44.jpg)

This is a library for the HTU21D-F Humidity + Temperature sensor.

Designed specifically to work with the HTU21D-F in the Adafruit shop:

- https://www.adafruit.com/products/1899

These boards use **I2C** to communicate. 2 pins are required to interface.
Adafruit invests time and resources providing this open source code,
please support Adafruit and open-source hardware by purchasing
products from Adafruit!

Written by Limor Fried/Ladyada for Adafruit Industries.  
BSD license, all text above must be included in any redistribution.

## Installing this Library

Check out the links above for our tutorials and wiring diagrams. Use the Arduino library manager to install

We also have a great tutorial on Arduino library installation at:
http://learn.adafruit.com/adafruit-all-about-arduino-libraries-install-use

## Learning Guide and API Documentation

### Learning Guide

For a practical guide on how to use this breakout, see our comprehensive [Adafruit HTU21D-F Learning Guide](https://learn.adafruit.com/adafruit-htu21d-f-temperature-humidity-sensor/overview).

### API Documentation

> **NOTE:** This documentation is automatically generated based on the doxygen comments in the code.

For specific programming issues, see the [API Documentation](http://adafruit.github.io/Adafruit_HTU21DF_Library/html/class_adafruit___h_t_u21_d_f.html) describing the `Adafruit_HTU21DF` class available in this library.
